#include "evaluation_result.h"

namespace fd {
namespace heuristics {

EvaluationResult::EvaluationResult(ValueType value)
    : dead(false)
    , value(value)
{}

EvaluationResult::EvaluationResult(bool dead, ValueType value)
    : dead(dead)
    , value(value)
{}

bool
EvaluationResult::operator==(const EvaluationResult& other) const
{
    return dead == other.dead && value_equal(value, other.value);
}

}
}
