#ifndef SAS_VARIABLE_H
#define SAS_VARIABLE_H

#include <iostream>
#include <vector>
#include <string>

namespace fd {
namespace sas_task {

struct Variable
{
    unsigned domain_size;
    std::string name;
    std::vector<std::string> fact_names;
    int axiom_layer;
    int axiom_default_value;

    explicit Variable(std::istream& in);
};


}
}

#endif
