#include "variable.h"
#include "sas_parser_utils.h"

using namespace std;
namespace fd {
namespace sas_task {

Variable::Variable(istream& in)
{
    check_magic(in, "begin_variable");
    in >> name;
    in >> axiom_layer;
    in >> domain_size;
    in >> ws;
    fact_names.resize(domain_size);
    for (unsigned i = 0; i < domain_size; ++i) {
        getline(in, fact_names[i]);
    }
    check_magic(in, "end_variable");
}

}
}
